Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 20690

Description

It would be useful to be able to have the option to save the output from all functions (including processing toolbox funtions) to a temporary

scratch layer (now supported in 2.8) rather than having to create new permanent raster or vector files to contain results.

History

#1 - 2015-04-10 01:58 PM - Jürgen Fischer

enter "memory:" as output file to achive this.

#2 - 2015-04-13 02:20 AM - Kyle Somerville

Jürgen Fischer wrote:

enter "memory:" as output file to achive this.

Sorry, I cant get this to work when using e.g. Raster Calculator?  Error message:

"Invalid Layer, cannot open GDAL dataset memory:Testlayer.tif...etc...does not exist in the file syste, and is not recognised as a supported dataset name.

#3 - 2015-04-13 03:51 AM - Giovanni Manghi

- Status changed from Open to Feedback

Kyle Somerville wrote:

Jürgen Fischer wrote:

enter "memory:" as output file to achive this.

Sorry, I cant get this to work when using e.g. Raster Calculator?  Error message:

"Invalid Layer, cannot open GDAL dataset memory:Testlayer.tif...etc...does not exist in the file syste, and is not recognised as a supported dataset

name.

it is just "memory:" or in processing just leave empty the output field.
#4 - 2015-04-13 08:10 AM - Jürgen Fischer

Kyle Somerville wrote:

Jürgen Fischer wrote:

enter "memory:" as output file to achive this.

Sorry, I cant get this to work when using e.g. Raster Calculator?

I thought you were referring to processing only.

#5 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#6 - 2017-09-22 10:07 AM - Jürgen Fischer

- Category set to Unknown

#7 - 2018-08-03 03:37 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

This was done in 3.0
